# SourcePath: elfutils-0.153/20120309dev
Summary: A collection of utilities and DSOs to handle compiled objects
Name: sony-target-devtool-elfutils
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-devtool-elfutils
Version: 0.153
Release: 11000001
License: GPLv2 with exceptions
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}

Source: elfutils-%{version}.tar.bz2
Patch1: elfutils-portability.patch
Patch2: elfutils-robustify.patch
Patch3: elfutils-0.153-dwfl_segment_report_module.patch

BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
Elfutils is a collection of utilities, including ld (a linker),
nm (for listing symbols from object files), size (for listing the
section sizes of an object or archive file), strip (for discarding
symbols), readelf (to see the raw ELF file structures), and elflint
(to check for well-formed ELF files).

%package -n %{pkgname}
Summary: A collection of utilities and DSOs to handle compiled objects
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Elfutils is a collection of utilities, including ld (a linker),
nm (for listing symbols from object files), size (for listing the
section sizes of an object or archive file), strip (for discarding
symbols), readelf (to see the raw ELF file structures), and elflint
(to check for well-formed ELF files).

%prep
%setup -q -n elfutils-%{version}

%patch1 -p1
sleep 1
find . \( -name Makefile.in -o -name aclocal.m4 \) -print | xargs touch
sleep 1
find . \( -name configure -o -name config.h.in \) -print | xargs touch
%patch2 -p1
%patch3 -p1

%build
%sony_target_dev_setup

%sony_target_devtool_configure CFLAGS="$CFLAGS -fexceptions -D__NO_INLINE__"
make

%install
%sony_target_dev_setup
rm -rf %{buildroot}

install -d %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
install -d %{buildroot}%{sony_target_dir}%{sony_target_devtool_include_dir}
install -d %{buildroot}%{sony_target_dir}%{sony_target_devtool_include_dir}/elfutils
install -d %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}
install -d %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}

install -m 644 libelf/libelf.h %{buildroot}%{sony_target_dir}%{sony_target_devtool_include_dir}/ 
install -m 644 libelf/gelf.h %{buildroot}%{sony_target_dir}%{sony_target_devtool_include_dir}/ 
install -m 644 libelf/nlist.h %{buildroot}%{sony_target_dir}%{sony_target_devtool_include_dir}/ 
install -m 644 libdw/libdw.h %{buildroot}%{sony_target_dir}%{sony_target_devtool_include_dir}/ 
install -m 644 libdw/dwarf.h %{buildroot}%{sony_target_dir}%{sony_target_devtool_include_dir}/ 
install -m 644 libdwfl/libdwfl.h %{buildroot}%{sony_target_dir}%{sony_target_devtool_include_dir}/elfutils/
install -m 644 objdir/libelf/libelf.a %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/ 
install -m 755 objdir/libelf/libelf.so %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/libelf-%{version}.so
ln -s libelf-%{version}.so %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/libelf.so.1
ln -s libelf-%{version}.so %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/libelf.so

# required libdw, libebl for dwarves package
install -m 755 objdir/libdw/libdw.so %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/libdw-%{version}.so
ln -s libdw-%{version}.so %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/libdw.so.1
ln -s libdw-%{version}.so %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/libdw.so
install -m 755 objdir/libdw/libdw.a %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/libdw.a
install -m 755 objdir/libebl/libebl.a %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/libebl.a

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_devtool_include_dir}/libelf.h
%{sony_target_dir}%{sony_target_devtool_include_dir}/gelf.h
%{sony_target_dir}%{sony_target_devtool_include_dir}/nlist.h
%{sony_target_dir}%{sony_target_devtool_include_dir}/libdw.h
%{sony_target_dir}%{sony_target_devtool_include_dir}/dwarf.h
%{sony_target_dir}%{sony_target_devtool_include_dir}/elfutils/libdwfl.h
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libelf-%{version}.so
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libelf.so.*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libelf.so
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libelf.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libdw-%{version}.so
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libdw.so.*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libdw.so
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libdw.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libebl.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libelf-%{version}.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libelf.so.*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libelf.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libelf.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libdw-%{version}.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libdw.so.*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libdw.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libdw.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libebl.a

%changelog
* Wed Apr 17 2013 Sony Corporation
- Updated version to 0.153.

* Fri Jan 21 2011 Sony Corporation
- Change name of package dev -> devtool
- Added libdw, libebl, libdw.h, dwarf.h, elfutils/libdwfl.h for dwavres package
 
* Wed Apr 15 2009 Sony Corporation
- build with gcc-4.3.3

* Thu Apr 10 2008 Sony Corporation
- Initial build.
